### Method

# Gdk ContentFormats get_gtypes

#### Declaration [src]

    const GType*
    gdk_content_formats_get_gtypes (
      const GdkContentFormats* formats,
      gsize* n_gtypes
    )

#### Description [src]

Gets the `GType`s included in `formats`.

Note that `formats` may not contain any `GType`s, in particular when they are empty. In that case `NULL` will be returned.

#### Parameters

`n_gtypes`

  Type: `gsize*`

  Optional pointer to take the number of `GType`s contained in the return value.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `GType`

`G_TYPE_INVALID`-terminated array of types included in `formats`.

The array is `NULL`-terminated.
The length of the array is in the `n_gtypes` argument.
The returned data is owned by the instance.
The return value can be `NULL`.